Skip to main content
GET
/
entry-requirements
List entry requirements
curl --request GET \
  --url https://api.ceibo.me/v1/entry-requirements \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": 1,
      "priority": 1,
      "customsDeclarationRequired": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "fromCountryId": 123,
      "fromCountryGroupId": 123,
      "toCountryId": 123,
      "toCountryGroupId": 123,
      "documentValidity": {
        "minimumDays": 180
      },
      "proofOfFunds": "required",
      "proofOfFundsDetails": "<string>",
      "proofOfFundsAmountUsd": 123,
      "proofOfFundsSourceUrl": "<string>",
      "proofOfFundsAmountLocal": 123,
      "proofOfFundsCurrencyId": 123,
      "returnTicket": "required",
      "returnTicketDetails": "<string>",
      "returnTicketSourceUrl": "<string>",
      "healthInsurance": "required",
      "healthInsuranceDetails": "<string>",
      "healthInsuranceCoverageUsd": 123,
      "healthInsuranceSourceUrl": "<string>",
      "customsDeclarationDetails": "<string>",
      "customsDeclarationUrl": "<string>",
      "proofOfAccommodation": "required",
      "proofOfAccommodationDetails": "<string>",
      "proofOfAccommodationSourceUrl": "<string>",
      "visaRequirementType": "visa_free",
      "maxStayDays": 90,
      "generalNotes": "<string>",
      "sourceUrl": "<string>",
      "officialWebsiteUrl": "<string>",
      "visaApplicationUrl": "<string>",
      "visaProcessingDays": 183,
      "lastVerifiedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 20,
    "total": 195,
    "totalPages": 10
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.ceibo.me/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key minted at developer.ceibo.me. Send on every request.

Query Parameters

toCountryId
integer
fromCountryId
integer
toCountryGroupId
integer
fromCountryGroupId
integer
stale
boolean

Restrict to records whose lastVerifiedAt is older than 6 months.

languageId
integer

Translate textual fields to this language id (falls back to default).

locale
string

Alternative to languageId; e.g. es, en.

page
integer
default:1
Required range: x >= 1
limit
integer
default:10
Required range: 1 <= x <= 100

Response

Paginated list of entry requirements.

data
object[]
required
meta
object
required